Skip to main content
Schedule

List all scheduled posts

Returns a paginated list of scheduled posts. Use limit + offset to page through the results.

GET/v1/posts/scheduled/

Authorization

accessKey
x-access-key<token>

In: header

Query Parameters

limit?integer

Page size (max 100)

Default20
Range1 <= value <= 100
offset?integer

Number of scheduled posts to skip

Default0
Range0 <= value
sort?string
Value in"asc" | "desc"

Response Body

application/json

curl -X GET "https://example.com/v1/posts/scheduled/"
{
  "success": true,
  "total": 0,
  "posts": [
    {
      "postId": "string",
      "content": "string",
      "scheduledFor": "2019-08-24T14:15:22Z",
      "timezone": "string",
      "mediaItems": [
        {
          "type": "image",
          "url": "http://example.com",
          "thumbnail": "http://example.com"
        }
      ],
      "platforms": [
        {
          "platform": "twitter",
          "status": "draft"
        }
      ],
      "createdAt": "2019-08-24T14:15:22Z"
    }
  ]
}